from setuptools import setup, find_packages

setup(
    name='medifit_fusion_lib',
    version='0.1.1',
    author='Antonios Morellos',
    author_email='antonios.morellos@gmail.com',
    url='https://github.com/MEDIFIT-PRIMA/data_fusion',
    packages=find_packages(),
    install_requires=[
	'contourpy==1.1.0',
	'cycler==0.11.0',
	'et-xmlfile==1.1.0',
	'fonttools==4.42.0',
	'importlib-resources==6.0.1',
	'joblib==1.3.2',
	'kiwisolver==1.4.4',
	'matplotlib==3.7.2',
	'numpy==1.25.2',
	'openpyxl==3.1.2',
	'packaging==23.1',
	'pandas==2.0.3',
	'Pillow==10.0.0',
	'pyparsing==3.0.9',
	'python-dateutil==2.8.2',
	'pytz==2023.3',
	'scikit-learn==1.2.2',
	'scipy==1.11.1',
	'seaborn==0.12.2',
	'six==1.16.0',
	'tabulate==0.9.0',
	'threadpoolctl==3.2.0',
	'tzdata==2023.3',
	'zipp==3.16.2',
    ],
    python_requires='>=3.9',
    package_data={
        'MEDIFIT': [
            'CognitiveModulePlatform/*.joblib',
            'FusionEngine/*.joblib',
        ],
    },
    entry_points={
        'console_scripts': [
            'medifit=medifit.main_script:main',
        ],
    },
)
